/*  example.c -- tester for entirely automatic .aud files
 *  Camille Goudeseune, 1/6/99
 */

#include "vssClient.h"

int main(int argc, char *argv[])
{
	if (argc != 2)	{
		printf("Usage: %s foo.aud\n", argv[0]);
		return -1;
	}

/*** Open communication link to server. ***/

	if (!BeginSoundServer())	{
		printf("Error: couldn't find a running copy of VSS.\n");
		return -1;
	}

/*** Start making a sound. ***/

	AUDinit(argv[1]);

	printf("Hit return to stop the sound from playing.\n");

	getchar(); /* getchar() is a clever way to pause the program */

/*** Stop the sound, and end communication with server. ***/

	EndSoundServer();
	return 0;
}



/*
	HISTORICAL NOTE:

	Instead of
		void AUDinit(char*);
		float AUDupdateSimple...(...);
	there is an older syntax
		int AUDinit(char*);
		float AUDupdate...(int, ...);
		void AUDterminate(int);
	
	If you call AUDinit() only once (true almost always),
	then you can use the simplified newer syntax used in these tutorials.
	In particular you don't need to call AUDterminate().

	If you call AUDinit() multiple times, then you must save the
	values it returns.  Pass these "handles" to AUDupdate...()
	and also to AUDterminate().
*/
