/*  example.c -- tester for entirely automatic .aud files
 *  Camille Goudeseune, 1/6/99
 */

#include "vssClient.h"

int main(int argc, char *argv[])
{
	if (argc != 2)	{
		printf("Usage: %s foo.aud\n", argv[0]);
		return -1;
	}

/*** Open communication link to server. ***/

	if (!BeginSoundServer())	{
		printf("Error: couldn't find a running copy of VSS.\n");
		return -1;
	}

/*** Start making a sound. ***/

	AUDinit(argv[1]);

	printf("Hit return to change the sound.\n");
	getchar();
	AUDupdateSimpleFloats("pitch", 1, 500.);

	printf("Hit return to change the sound.\n");
	getchar();
	AUDupdateSimpleFloats("loudness", 1, .9);

	printf("Hit return to stop the sound from playing.\n");
	getchar();

/*** Stop the sound, and end communication with server. ***/

	EndSoundServer();
	return 0;
}
